Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.services.javascript
Enum StackExtensionType

    java.lang.Object
      java.lang.Enum<StackExtensionType>
          org.apache.tapestry5.services.javascript.StackExtensionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StackExtensionType>

    public enum StackExtensionType

extends java.lang.Enum<StackExtensionType>

Defines the types of extensions to a JavaScript stack that can be contributed to an extensible JavaScript stack.

Since:
  5.3
See Also:
  `StackExtension`, `ExtensibleJavaScriptStack`

Enum Constant Summary
`INITIALIZATION` Extra JavaScript initialization (rarely used).
`LIBRARY` A JavaScript library.
`STYLESHEET` A stylesheet.

Method Summary
`static StackExtensionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StackExtensionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LIBRARY

    public static final StackExtensionType LIBRARY

  A JavaScript library. The extension value will be converted using `AssetSource.getExpandedAsset(String)`, meaning that symbols will be expanded.

### STYLESHEET

    public static final StackExtensionType STYLESHEET

  A stylesheet. The extension value will be converted using `AssetSource.getExpandedAsset(String)`, meaning that symbols will be expanded.

### INITIALIZATION

    public static final StackExtensionType INITIALIZATION

  Extra JavaScript initialization (rarely used). No symbol expansion takes place.

Method Detail

### values

    public static final StackExtensionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StackExtensionType c : StackExtensionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StackExtensionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.